import QtQuick 2.9
import QtMultimedia 5.8
import QtQuick.Window 2.2
import QtQuick.Controls 2.2
import QtQuick.Layouts 1.3
import QtGraphicalEffects 1.0
import QtQuick.Controls.Styles 1.4

import de.itsblue.ScStw 2.0
import de.itsblue.ScStw.Styling 2.0
import de.itsblue.ScStw.Styling.Components 1.0
import de.itsblue.ScStwApp 2.0

import "../components"

Column {
    id: control

    spacing: parentObj.delegateHeight * 0.2

    property string title: "about"
    property var parentObj

    function updateSetting(key, val, del){
        del.busy = true
        scStwAppSettings.writeSetting(key, val, ScStwSettings.KeyLevel)
        del.busy = false
    }

    function loadSetting(key, del){
        return scStwAppSettings.readSetting(key, ScStwSettings.KeyLevel)
    }

    Label {
        id: headerLabel

        width: parent.width
        height: parentObj.delegateHeight * 0.8

        visible: true

        verticalAlignment: Text.AlignVCenter
        horizontalAlignment: Text.AlignHCenter

        fontSizeMode: Text.Fit
        font.pixelSize: height

        minimumPixelSize: 1

        color: appTheme.theme.colors.text

        text: "ScStwApp"
    }

    Label {
        width: parent.width * 1
        height: parentObj.delegateHeight * 0.8


        verticalAlignment: Text.AlignTop
        horizontalAlignment: Text.AlignHCenter

        fontSizeMode: Text.Fit
        font.pixelSize: height

        minimumPixelSize: 1

        color: appTheme.theme.colors.line

        text: "V" + APP_VERSION + "<br>By <a href=\"https://itsblue.de\">Itsblue Development</a>"

        onLinkActivated: {
            Qt.openUrlExternally(link)
        }
    }

    Label {
        width: parent.width * 1
        height: parent.height


        verticalAlignment: Text.AlignTop
        horizontalAlignment: Text.AlignHCenter

        fontSizeMode: Text.Fit
        font.pixelSize: height

        minimumPixelSize: 1

        color: appTheme.theme.colors.line

        text: " This app was built using the <a href='https://qt.io'>Qt Framework</a><br>
                licensed under the <a href='https://www.gnu.org/licenses/lgpl-3.0.en.html'>GNU lgplV3 license</a>.<br><br>

                This app is open source and licensed<br>under the <a href='https://www.gnu.org/licenses/agpl-3.0.en.html'>GNU agplV3 license</a>,<br>
                the source code can be found <a href='https://itsblue.dev/ScStw/app/'>here</a>."

        onLinkActivated: {
            Qt.openUrlExternally(link)
        }
    }
}

