import QtQuick 2.12
import QtMultimedia 5.8
import QtQuick.Window 2.2
import QtQuick.Controls 2.12
import QtQuick.Layouts 1.3
import QtGraphicalEffects 1.0
import QtQuick.Controls.Styles 1.4

import de.itsblue.ScStw 2.0
import de.itsblue.ScStw.Styling 2.0
import de.itsblue.ScStw.Styling.Components 1.0
import de.itsblue.ScStwApp 2.0

import "../components"


Column {
    id: baseStationSettings

    property var parentObj
    property string title: "Bs settings"

    width: parentObj.width

    SmoothSliderDelegate {
        id: baseStationVolumeDel

        property ScStwSetting setting: scStwAppSettings.getSetting(ScStwSettings.SoundVolumeSetting, ScStwSettings.KeyLevel)

        text: qsTr("volume")

        width: parent.width
        height: parentObj.delegateHeight

        font.pixelSize: height * 0.5

        sliderValue: setting.readonlyValue

        onSliderFinished: {
            enabled = false
            setting.value = sliderValue
            enabled = true
        }
    }

    SmoothSwitchDelegate {
        property ScStwSetting setting: scStwAppSettings.getSetting(ScStwSettings.CompetitionModeSetting, ScStwSettings.KeyLevel)

        width: parent.width
        height: parentObj.delegateHeight

        checked: setting.readonlyValue

        onClicked: {
            enabled = false
            setting.value = checked
            enabled = true
        }

        text: qsTr("competition mode")
    }
}
